DiscoveryNamespace
Date: 2016-06-25

org.osgi.service.remoteserviceadmin.namespace

## Class DiscoveryNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.service.remoteserviceadmin.namespace.DiscoveryNamespace

-     public final class DiscoveryNamespace
      extends org.osgi.resource.Namespace

  Remote Services Discovery Provider Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_PROTOCOLS_ATTRIBUTE` The capability attribute used to specify the discovery protocols supported by this discovery provider.
    `static java.lang.String` | `DISCOVERY_NAMESPACE` Namespace name for Remote Services discovery provider capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCOVERY_NAMESPACE

          public static final java.lang.String DISCOVERY_NAMESPACE

      Namespace name for Remote Services discovery provider capabilities and requirements.
      See Also:
        Constant Field Values

    - #### CAPABILITY_PROTOCOLS_ATTRIBUTE

          public static final java.lang.String CAPABILITY_PROTOCOLS_ATTRIBUTE

      The capability attribute used to specify the discovery protocols supported by this discovery provider. The value of this attribute must be of type `String` or `List<String>`.
      See Also:
        Constant Field Values